INSERT INTO AircraftModels ([name]) VALUES 
('Bombardier Challenger 300'),
('Gulfstream G650'),
('Cessna Citation X'),
('Beechcraft King Air 350i'),
('Dassault Falcon 7X'),
('Pilatus PC-12'),
('Boeing 787-9'),
('Boeing 747-8F'),
('Boeing 777F'),
('Antonov An-124'),
('Airbus A330-200F'),
('Lockheed C-130 Hercules'),
('Airbus A350-900F'),
('Boeing 767-300F'),
('Airbus A320'),
('Embraer E175'),
('Airbus A380F'),
('Boeing 737-800'),
('Cessna 172'),
('Boeing 737-700C');

INSERT INTO AircraftSpaceDimentions (aircraftModelID, [weight], [volume]) VALUES
(7, 116000, 618),
(8, 140000, 854.5),
(9, 102000, 683),
(10, 150000, 1300),
(11, 69000, 475),
(12, 20000, 92.9),
(13, 108000, 370),
(14, 140000, 438),
(15, 20000, 37.4),
(16, 16000, 26.9),
(17, 150000, 1400),
(18, 20000, 41.8),
(19, 30000, 390),
(20, 20000, 41.8);

INSERT INTO AircraftSeats (aircraftModelID, [seats]) VALUES
(1, 9),
(2, 18),
(3, 12),
(4, 9),
(5, 16),
(6, 9),
(15, 150),
(16, 76),
(17, 204),
(18, 189),
(19, 195),
(20, 126);

INSERT INTO Airports (airportName, country, city, Code, runwaysCount, founded) VALUES
('Dallas Fort Worth International Airport', 'USA', 'Dallas', 'DFW', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('John F Kennedy International Airport', 'USA', 'New York', 'JFK', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Los Angeles International Airport', 'USA', 'Los Angeles', 'LAX', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Heathrow Airport', 'UK', 'London', 'LHR', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Charles de Gaulle Airport', 'France', 'Paris', 'CDG', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Dubai International Airport', 'UAE', 'Dubai', 'DXB', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Singapore Changi Airport', 'Singapore', 'Singapore', 'SIN', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Haneda Airport', 'Japan', 'Tokyo', 'HND', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Hartsfield Jackson Atlanta International Airport', 'USA', 'Atlanta', 'ATL', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('O Hare International Airport', 'USA', 'Chicago', 'ORD', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Amsterdam Airport Schiphol', 'Netherlands', 'Amsterdam', 'AMS', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Frankfurt Airport', 'Germany', 'Frankfurt', 'FRA', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Beijing Capital International Airport', 'China', 'Beijing', 'PEK', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Denver International Airport', 'USA', 'Denver', 'DEN', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Incheon International Airport', 'South Korea', 'Incheon', 'ICN', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Munich Airport', 'Germany', 'Munich', 'MUC', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Suvarnabhumi Airport', 'Thailand', 'Bangkok', 'BKK', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('OR Tambo International Airport', 'South Africa', 'Johannesburg', 'JNB', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Sydney Airport', 'Australia', 'Sydney', 'SYD', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Indira Gandhi International Airport', 'India', 'Delhi', 'DEL', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE())),
('Nelson Mandela International Airport', 'South Africa', 'Cape Town', 'KPT', ROUND(RAND() * 5) + 2, DATEADD(YEAR, -ROUND(RAND() * 10), GETDATE()));

INSERT INTO Flights (flightNumber, fromAirportID, toAirportID, aircraftModelID, price, duration, departureDatetime, arrivalDatetime, airlineID) VALUES
('FL111', 10, 17, 1, 350, 6, '2024-06-19T08:00:00', '2024-06-19T14:00:00', 1), 
('FL100', 2, 17, 7, 180, 8, '2024-06-19T09:00:00', '2024-06-19T17:00:00', 2),
('FL110', 2, 12, 8, 280, 4, '2024-06-19T10:00:00', '2024-06-19T14:00:00', 3),
('FL101', 1, 2, 8, 280, 4, '2024-06-19T11:00:00', '2024-06-19T15:00:00', 4),
('FL122', 9, 1, 15, 220, 3, '2024-06-19T12:00:00', '2024-06-19T15:00:00', 5),
('FL123', 11, 1, 12, 200, 2, '2024-06-19T13:00:00', '2024-06-19T15:00:00', 6),
('FL133', 1, 15, 3, 360, 4.5, '2024-06-19T14:00:00', '2024-06-19T18:30:00', 7),
('FL541', 12, 21, 18, 550, 7.5, '2024-06-20T15:00:00', '2024-06-20T22:30:00', 8),
('FL626', 14, 9, 16, 500, 6.5, '2024-06-20T16:00:00', '2024-06-20T22:30:00', 9),
('FL890', 3, 19, 17, 380, 5, '2024-06-20T17:00:00', '2024-06-20T22:00:00', 10),
('FL931', 14, 19, 1, 350, 6, '2024-06-20T18:00:00', '2024-06-21T00:00:00', 11),
('FL535', 3, 21, 11, 350, 6, '2024-06-20T19:00:00', '2024-06-21T01:00:00', 12),
('FL120', 14, 21, 4, 280, 4, '2024-06-20T20:00:00', '2024-06-21T00:00:00', 13),
('FL804', 9, 6, 3, 360, 4.5, '2024-06-20T21:00:00', '2024-06-21T01:30:00', 14),
('FL457', 4, 18, 10, 330, 3.5, '2024-06-20T22:00:00', '2024-06-21T01:30:00', 15),
('FL785', 5, 12, 2, 200, 2, '2024-06-15T23:00:00', '2024-06-16T01:00:00', 16),
('FL308', 5, 13, 14, 330, 3.5, '2024-06-16T00:00:00', '2024-06-16T03:30:00', 17),
('FL768', 18, 20, 19, 360, 4.5, '2024-06-16T01:00:00', '2024-06-16T05:30:00', 18),
('FL870', 20, 8, 2, 200, 2, '2024-06-16T02:00:00', '2024-06-16T04:00:00', 19),
('FL989', 16, 7, 4, 280, 4, '2024-06-16T03:00:00', '2024-06-16T07:00:00', 20),
('FL209', 11, 18, 13, 380, 5, '2024-06-16T04:00:00', '2024-06-16T09:00:00', 20),
('FL404', 18, 16, 6, 500, 6.5, '2024-06-16T05:00:00', '2024-06-16T11:30:00', 19),
('FL303', 8, 15, 20, 380, 7, '2024-06-16T06:00:00', '2024-06-16T13:00:00', 18),
('FL777', 7, 15, 5, 400, 5.5, '2024-06-16T07:00:00', '2024-06-16T12:30:00', 17),
('FL609', 20, 17, 9, 400, 5.5, '2024-06-16T08:00:00', '2024-06-16T13:30:00', 16),
('FL299', 13, 20, 12, 200, 2, '2024-06-16T09:00:00', '2024-06-16T11:00:00', 15),
('FL103', 18, 9, 16, 500, 6.5, '2024-06-16T10:00:00', '2024-06-16T16:30:00', 14),
('FL811', 11, 7, 18, 550, 7.5, '2024-06-16T11:00:00', '2024-06-16T18:30:00', 13);

INSERT INTO Airlines (Name, Founded, FleetSize, Description) VALUES
('American Airlines', DATEADD(YEAR, -ROUND(RAND() * 90, 0), GETDATE()), ROUND(RAND() * 1000, 0), 'American Airlines is a major American airline headquartered in Fort Worth, Texas. It operates an extensive international and domestic network, with flights throughout North America, the Caribbean, South America, Europe, and Asia.'),
('Delta Air Lines', DATEADD(YEAR, -ROUND(RAND() * 90, 0), GETDATE()), ROUND(RAND() * 1000, 0), 'Delta Air Lines is a major American airline headquartered in Atlanta, Georgia. It is one of the largest and oldest airlines in the world, operating a vast domestic and international network.'),
('United Airlines', DATEADD(YEAR, -ROUND(RAND() * 90, 0), GETDATE()), ROUND(RAND() * 1000, 0), 'United Airlines is a major American airline headquartered in Chicago, Illinois. It operates a large domestic and international route network, with hubs across the United States and international hubs in Asia and Europe.'),
('Lufthansa', DATEADD(YEAR, -ROUND(RAND() * 90, 0), GETDATE()), ROUND(RAND() * 1000, 0), 'Lufthansa is the largest German airline and one of the largest airlines in Europe. It operates a comprehensive network of domestic and international flights, with a focus on serving destinations across Europe, Asia, Africa, and the Americas.'),
('British Airways', DATEADD(YEAR, -ROUND(RAND() * 90, 0), GETDATE()), ROUND(RAND() * 1000, 0), 'British Airways is the flag carrier airline of the United Kingdom. It operates a vast international route network, with flights to over 200 destinations worldwide.'),
('Emirates', DATEADD(YEAR, -ROUND(RAND() * 40, 0), GETDATE()), ROUND(RAND() * 500, 0), 'Emirates is the largest airline in the Middle East and one of the largest in the world. Based in Dubai, it operates a vast network of flights to over 150 destinations in more than 80 countries across six continents.'),
('Qatar Airways', DATEADD(YEAR, -ROUND(RAND() * 30, 0), GETDATE()), ROUND(RAND() * 300, 0), 'Qatar Airways is the flag carrier of Qatar, based in Doha. It operates a wide network of international flights to over 160 destinations worldwide, with a focus on connecting passengers through its hub in Doha.'),
('Singapore Airlines', DATEADD(YEAR, -ROUND(RAND() * 70, 0), GETDATE()), ROUND(RAND() * 300, 0), 'Singapore Airlines is the flag carrier airline of Singapore. It operates a large fleet and an extensive network of flights to destinations around the world, with a focus on providing high-quality service and connectivity through its hub at Singapore Changi Airport.'),
('Cathay Pacific Airways', DATEADD(YEAR, -ROUND(RAND() * 75, 0), GETDATE()), ROUND(RAND() * 250, 0), 'Cathay Pacific Airways is the flag carrier of Hong Kong, with its main hub located at Hong Kong International Airport. It operates an extensive network of flights to over 190 destinations in more than 60 countries and territories worldwide.'),
('Air France', DATEADD(YEAR, -ROUND(RAND() * 90, 0), GETDATE()), ROUND(RAND() * 500, 0), 'Air France is the flag carrier airline of France. It operates a comprehensive global network of flights to over 200 destinations in more than 90 countries.'),
('KLM Royal Dutch Airlines', DATEADD(YEAR, -ROUND(RAND() * 100, 0), GETDATE()), ROUND(RAND() * 300, 0), 'KLM Royal Dutch Airlines is the flag carrier airline of the Netherlands. It operates scheduled passenger and cargo services to more than 145 destinations worldwide.'),
('ANA All Nippon Airways', DATEADD(YEAR, -ROUND(RAND() * 70, 0), GETDATE()), ROUND(RAND() * 250, 0), 'ANA All Nippon Airways is the largest airline in Japan by revenues and passenger numbers. It operates a comprehensive domestic and international network, serving over 120 destinations in more than 40 countries.'),
('Japan Airlines', DATEADD(YEAR, -ROUND(RAND() * 75, 0), GETDATE()), ROUND(RAND() * 250, 0), 'Japan Airlines is the flag carrier airline of Japan. It operates a large domestic and international network, with flights to over 90 destinations in more than 20 countries.'),
('Etihad Airways', DATEADD(YEAR, -ROUND(RAND() * 20, 0), GETDATE()), ROUND(RAND() * 150, 0), 'Etihad Airways is the second-largest airline in the United Arab Emirates, based in Abu Dhabi. It operates more than 1,000 flights per week to over 120 passenger and cargo destinations in the Middle East, Africa, Europe, Asia, Australia, and the Americas.'),
('Southwest Airlines', DATEADD(YEAR, -ROUND(RAND() * 50, 0), GETDATE()), ROUND(RAND() * 700, 0), 'Southwest Airlines is the world''s largest low-cost carrier, headquartered in Dallas, Texas. It operates a vast domestic network in the United States, with flights to over 100 destinations across 10 countries.'),
('Qantas Airways', DATEADD(YEAR, -ROUND(RAND() * 100, 0), GETDATE()), ROUND(RAND() * 300, 0), 'Qantas Airways is the flag carrier of Australia and one of the world''s oldest airlines. It operates an extensive domestic and international network, with flights to over 85 destinations in 14 countries across Africa, the Americas, Asia, Europe, and Oceania.'),
('Turkish Airlines', DATEADD(YEAR, -ROUND(RAND() * 90, 0), GETDATE()), ROUND(RAND() * 350, 0), 'Turkish Airlines is the national flag carrier airline of Turkey. It operates scheduled services to more than 300 destinations in Europe, Asia, Africa, and the Americas, making it the largest mainline carrier in the world by number of passenger destinations.'),
('Air Canada', DATEADD(YEAR, -ROUND(RAND() * 90, 0), GETDATE()), ROUND(RAND() * 200, 0), 'Air Canada is the flag carrier and largest airline of Canada by fleet size and passengers carried. The airline, founded in 1937, provides scheduled and charter air transport for passengers and cargo to 207 destinations worldwide.'),
('Virgin Atlantic Airways', DATEADD(YEAR, -ROUND(RAND() * 40, 0), GETDATE()), ROUND(RAND() * 100, 0), 'Virgin Atlantic Airways is a British airline headquartered in Crawley, England. The airline was established in 1984 as British Atlantic Airways and was originally planned by its co-founders Randolph Fields and Alan Hellary to fly between London and the Falkland Islands.'),
('Swiss International Air Lines', DATEADD(YEAR, -ROUND(RAND() * 80, 0), GETDATE()), ROUND(RAND() * 150, 0), 'Swiss International Air Lines is the national airline of Switzerland, operating scheduled services in Europe and to North America, South America, Africa, and Asia. Its main hub is Zurich Airport, with a focus city operation at Geneva Airport.');
